<?php
/*
 * Copyright 2011 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 * Generates a Line Chart for a report.
 *
 * @author Silvano Luciani <silvano.luciani@gmail.com>
 */
class GenerateLineChart extends BaseExample {
  public function render() {
    $startDate = $this->getSixMonthsBeforeNow();
    $endDate = $this->getNow();
    $optParams = array(
        'metric' => array('AD_REQUESTS', 'INDIVIDUAL_AD_IMPRESSIONS'),
        'dimension' => array('DATE'),
        'sort' => 'DATE'
    );
    $report = $this->adSenseService->reports->generate($startDate, $endDate, $optParams);
    $data1 = $report['rows'];
    foreach ($data1 as &$row) {
      $row[1] = (int)$row[1];
      $row[2] = (int)$row[2];
    }
    $data1 = json_encode($data1);
    $type = 'LineChart';
    print generateChartHtml($data1, array(array('string', 'Day'),array('number', 'Ad requests'),array('number', 'Impressions')), $type, json_encode(array('title' => 'Ad requests & Impressions per Day')), 'dataChart1');
    $optParams = array(
        'metric' => array('CLICKS', 'EARNINGS'),
        'dimension' => array('DATE'),
        'sort' => 'DATE'
    );
    $report = $this->adSenseService->reports->generate($startDate, $endDate, $optParams);
    $data2 = $report['rows'];
    foreach ($data2 as &$row) {
      $row[1] = (int)$row[1];
      $row[2] = (float)$row[2];
    }
    $data2 = json_encode($data2);
    print generateChartHtml($data2, array(array('string', 'Day'),array('number', 'Clicks'),array('number', 'Earnings')), $type, json_encode(array('title' => 'Clicks & Earnings per Day')), 'dataChart2');
  }
}

