<?php
/*
 * Copyright 2012 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

// Require the base class
//require_once  "../BaseExample.php";

/**
 * Gets all accounts for the logged in user.
 *
 * Tags: accounts.list
 *
 * @author Silvano Luciani <silvano.luciani@gmail.com>
 */
class GetAllAccounts extends BaseExample {
  public function render() {
  	$pageToken = null;
	$optParams['pageToken'] = $pageToken;
	$result = $this->adSenseService->accounts->listAccounts($optParams);
	$accounts = $result['items'];
	if (isset($accounts) && is_array($accounts)) {
		$vhash = array();
		foreach ($accounts as $account)
		  	$vhash[$account['id']] = $account['name'];
		return $vhash;
	} else
		return false;
  }
}

